/*
 * feedback-test
 * Copyright (c) 2020 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TEST_FEEDBACK_H__
#define __TEST_FEEDBACK_H__

#include <stdio.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

bool TEST_FEEDBACK_INITIALIZE(void);
bool TEST_FEEDBACK_DEINITIALIZE(void);
bool TEST_FEEDBACK_IS_SUPPORTED_PATTERN(void);
bool TEST_FEEDBACK_PLAY(void);
bool TEST_FEEDBACK_PLAY_TYPE(void);
bool TEST_FEEDBACK_STOP(void);

/**
 * @}
 */


#ifdef __cplusplus
}
#endif


#endif //__TEST_FEEDBACK_H__
